Bug 1293625 - synergys (synergy server) pixmap error under newest CentOS (7.2)
synergys (synergy server) pixmap error under newest CentOS (7.2)
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: synergy (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-12-22 08:11 EST by Eric P
Modified: 2018-02-07 20:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric P 2015-12-22 08:11:38 EST
Description of problem:

I recently updated my system to CentOS 7.2 (from 7.1).  It has a motherboard model Intel X7SPA-HF with Matrox video.  I was using synergy from EPEL (synergy-1.6.2-3.el7.x86_64).  This worked fine under Cent 7.1.  After the update to 7.2, however, synergys will not run.  Running it with "synergys -f" in the foreground says:

2015-12-19T21:14:41 DEBUG: opening configuration "/home/user/.synergy.conf"
2015-12-19T21:14:41 DEBUG: configuration read successfully
2015-12-19T21:14:41 DEBUG: XOpenDisplay(":0.0")
X Error of failed request: BadValue (integer parameter out of range for operation)
Major opcode of failed request: 53 (X_CreatePixmap)
Value in failed request: 0x0
Serial number of failed request: 15
Current serial number in output stream: 16

I was able to downgrade my xorg-x11-drv-* and this allowed it to work again.

Version-Release number of selected component (if applicable):
CentOS 7.2

How reproducible:

Steps to Reproduce:
1. run CentOS 7.2 with matrox video (driver is mgag200)
2. invoke synergys (server)

Actual results:
server won't run

Expected results:
server would run

Additional info:
Comment 1 Ding-Yi Chen 2018-02-07 20:43:09 EST
Is the new synergy version, 2.0.0, works for you?

Note You need to log in before you can comment on or make changes to this bug.